# wp cli

Aide:

```bash
$ wp help cli
```

```bash
NAME

  wp cli

DESCRIPTION

  Review current WP-CLI info, check for updates, or see defined aliases.

SYNOPSIS

  wp cli <command>

SUBCOMMANDS

  alias             List available WP-CLI aliases.
  check-update      Check to see if there is a newer version of WP-CLI available.
  cmd-dump          Dump the list of installed commands, as JSON.
  completions       Generate tab completion strings.
  has-command       Detects if a command exists
  info              Print various details about the WP-CLI environment.
  param-dump        Dump the list of global parameters, as JSON or in var_export format.
  update            Update WP-CLI to the latest release.
  version           Print WP-CLI version.
```

Version:

```bash
$ wp cli version
WP-CLI 2.0.0
```

Vérifier les mises-à-jour:

```bash
$ wp cli check-update
Success: WP-CLI is at the latest version.
```

Mettre-à-jour WP-CLI

```bash
$ wp cli update
Success: WP-CLI is at the latest version.
```

Info:

```bash
$ wp cli info
OS:	Darwin 17.7.0 Darwin Kernel Version 17.7.0: Thu Jun 21 22:53:14 PDT 2018; root:xnu-4570.71.2~1/RELEASE_X86_64 x86_64
Shell:	/bin/bash
PHP binary:	/usr/local/Cellar/php/7.2.8/bin/php
PHP version:	7.2.8
php.ini used:	/usr/local/etc/php/7.2/php.ini
WP-CLI root dir:	phar://wp-cli.phar/vendor/wp-cli/wp-cli
WP-CLI vendor dir:	phar://wp-cli.phar/vendor
WP_CLI phar path:	/Users/bruno/Sites/wordpress
WP-CLI packages dir:
WP-CLI global config:
WP-CLI project config:
WP-CLI version:	2.0.0
```


